Create Standard Test

Prev Next
Post
/api/v1/Authoring/projects/{projectId}/tests

Create a new standard test

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
projectId
integer (int32) Required

Project that will contain the standard test

Body parameters

Information about the new standard test

Expand All
OneOf
Configuration.Api.Models.v1.StandardTestDetailV1
object (Configuration.Api.Models.v1.StandardTestDetailV1)
testDataSet
object (Configuration.Api.Models.v1.StandardTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ]
dataSourceId
integer (int32) | null

The data set's data source ID

configurationJson
string | null

The data set's configuration, written in JSON

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

controlDataSet
object (Configuration.Api.Models.v1.StandardTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ]
dataSourceId
integer (int32) | null

The data set's data source ID

configurationJson
string | null

The data set's configuration, written in JSON

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

name
string | null

The test name

description
string | null

The test description

folderId
integer (int32)

Folder ID for test

resultsAreOrdered
boolean

Whether dataset records are already ordered

onlyKeepFailures
boolean

Whether to keep all results or just failures

abortAfterFailures
boolean

Whether to abort an execution after a specified number of failures

abortFailureCount
integer (int32)

Number of failures allowed before aborting an execution

abortAfterRows
boolean

Whether to abort an execution after a specified number of records

abortRowCount
integer (int32)

Number of records allowed before aborting an execution

purgeResults
boolean

Whether to purge the results of the execution after a specified number of days

purgeResultsAfterDays
integer (int32)

Number of days to retain execution results before purging

transferLabels
boolean

Whether to transfer labels from the prior version

severityLevel
string | null

The test severity level

qualityDimension
string | null

The test quality dimension

testMissingResultAction
string
Valid values[ "Fail", "Pass", "Override" ]
testMissingResultOverrideValue
string | null

The value to use for records missing from the test dataset

controlMissingResultAction
string
Valid values[ "Fail", "Pass", "Override" ]
controlMissingResultOverrideValue
string | null

The value to use for records missing from the control dataset

valueSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ]
valueSuccessTolerance
number (double) | null

The test's value success tolerance

valueSuccessToleranceCalculation
string | null

The value success tolerance calculation of the test

overallSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ]
overallSuccessTolerance
number (double) | null

The test's overall success tolerance

overallSuccessToleranceCalculation
string | null

The overall success tolerance calculation of the test

Configuration.Api.Models.v1.StandardTestDetailV2
object (Configuration.Api.Models.v1.StandardTestDetailV2)
testDataSet

Defines the test dataset

OneOf
Configuration.Api.Models.v1.StandardTestDataSetV2Script
object (Configuration.Api.Models.v1.StandardTestDataSetV2Script)
dataSetConfigScript
OneOf
Configuration.Api.Models.v1.DataSetConfigScript
object (Configuration.Api.Models.v1.DataSetConfigScript)
dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.DataSetConfigMacro
object (Configuration.Api.Models.v1.DataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardTestDataSetV2ProfileResult
object (Configuration.Api.Models.v1.StandardTestDataSetV2ProfileResult)
dataSetConfigProfileResult
OneOf
Configuration.Api.Models.v1.DataSetConfigProfileResult
object (Configuration.Api.Models.v1.DataSetConfigProfileResult)
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

Configuration.Api.Models.v1.DataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum" ]
windowSize
integer (int32)

The size of the data set window

window
string
Valid values[ "Days", "Weeks", "Runs" ]
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardTestDataSetV2Macro
object (Configuration.Api.Models.v1.StandardTestDataSetV2Macro)
dataSetConfigMacro
object (Configuration.Api.Models.v1.DataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

controlDataSet

Defines the control dataset

OneOf
Configuration.Api.Models.v1.StandardControlDataSetV2Script
object (Configuration.Api.Models.v1.StandardControlDataSetV2Script)
dataSetConfigScript
OneOf
Configuration.Api.Models.v1.DataSetConfigScript
object (Configuration.Api.Models.v1.DataSetConfigScript)
dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.DataSetConfigMacro
object (Configuration.Api.Models.v1.DataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2Macro
object (Configuration.Api.Models.v1.StandardControlDataSetV2Macro)
dataSetConfigMacro
object (Configuration.Api.Models.v1.DataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2ProfileResult
object (Configuration.Api.Models.v1.StandardControlDataSetV2ProfileResult)
dataSetConfigProfileResult
OneOf
Configuration.Api.Models.v1.DataSetConfigProfileResult
object (Configuration.Api.Models.v1.DataSetConfigProfileResult)
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

Configuration.Api.Models.v1.DataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum" ]
windowSize
integer (int32)

The size of the data set window

window
string
Valid values[ "Days", "Weeks", "Runs" ]
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2ProfileAggregate
object (Configuration.Api.Models.v1.StandardControlDataSetV2ProfileAggregate)
dataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum" ]
windowSize
integer (int32)

The size of the data set window

window
string
Valid values[ "Days", "Weeks", "Runs" ]
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeValue
object (Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeValue)
dataSetConfigDateTimeValue
object (Configuration.Api.Models.v1.DataSetConfigDateTimeValue)
valueType
string
Valid values[ "Absolute", "Relative" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set

relativeTargetPeriod
string
Valid values[ "CurrentDate" ]
targetValue
string | null

The target value of the data set

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2StringValue
object (Configuration.Api.Models.v1.StandardControlDataSetV2StringValue)
dataSetConfigStringValue
object (Configuration.Api.Models.v1.DataSetConfigStringValue)
targetValue
string | null

The target value of the data set

ignoreWhitespace
boolean

Whethe the string comparison ignores whitespace characters

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2NumericValue
object (Configuration.Api.Models.v1.StandardControlDataSetV2NumericValue)
dataSetConfigNumericValue
object (Configuration.Api.Models.v1.DataSetConfigNumericValue)
targetValue
number (double)

The target value of the data set

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2NumericRange
object (Configuration.Api.Models.v1.StandardControlDataSetV2NumericRange)
dataSetConfigNumericRange
object (Configuration.Api.Models.v1.DataSetConfigNumericRange)
minValue
number (double) | null

The minimum value of the numeric range

maxValue
number (double) | null

The maximum value of the numeric range

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeRange
object (Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeRange)
dataSetConfigDateTimeRange
object (Configuration.Api.Models.v1.DataSetConfigDateTimeRange)
rangeType
string
Valid values[ "Absolute", "Relative" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set

minRelativePeriod
integer (int32) | null

The minimum relative period of the data set

maxRelativePeriod
integer (int32) | null

The maximum relative period of the data set

minRelativeOffset
integer (int32) | null

The minimum relative offset of the data set

maxRelativeOffset
integer (int32) | null

The maximum relative offset of the data set

minAbsoluteValue
string | null

The minimum absolute value of the data set

maxAbsoluteValue
string | null

The maximum absolute value of the data set

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2TestAggregate
object (Configuration.Api.Models.v1.StandardControlDataSetV2TestAggregate)
dataSetConfigTestAggregate
object (Configuration.Api.Models.v1.DataSetConfigTestAggregate)
includePriorVersions
boolean

Whether the dataset includes prior versions

windowSize
integer (int32)

The window size of the dataset

window
string
Valid values[ "Days", "Weeks", "Runs" ]
aggregate
string
Valid values[ "Average", "Minimum", "Maximum" ]
dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

qualityScoreCalculation
string | null

Custom quality score calculation

qualityScoreMethod
string
Valid values[ "AllOrNothing", "Proportional", "ProportionalWithPassOverride", "CustomCalculation" ]
columnMappingJson
string | null

JSON of custom column mapping between the test and control datasets

testDataSetColumnMappingMethod
string
Valid values[ "Automatic", "Manual" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetColumnSelection
string
Valid values[ "Name", "Position" ]
name
string | null

The test name

description
string | null

The test description

folderId
integer (int32)

Folder ID for test

resultsAreOrdered
boolean

Whether dataset records are already ordered

onlyKeepFailures
boolean

Whether to keep all results or just failures

abortAfterFailures
boolean

Whether to abort an execution after a specified number of failures

abortFailureCount
integer (int32)

Number of failures allowed before aborting an execution

abortAfterRows
boolean

Whether to abort an execution after a specified number of records

abortRowCount
integer (int32)

Number of records allowed before aborting an execution

purgeResults
boolean

Whether to purge the results of the execution after a specified number of days

purgeResultsAfterDays
integer (int32)

Number of days to retain execution results before purging

transferLabels
boolean

Whether to transfer labels from the prior version

severityLevel
string | null

The test severity level

qualityDimension
string | null

The test quality dimension

testMissingResultAction
string
Valid values[ "Fail", "Pass", "Override" ]
testMissingResultOverrideValue
string | null

The value to use for records missing from the test dataset

controlMissingResultAction
string
Valid values[ "Fail", "Pass", "Override" ]
controlMissingResultOverrideValue
string | null

The value to use for records missing from the control dataset

valueSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ]
valueSuccessTolerance
number (double) | null

The test's value success tolerance

valueSuccessToleranceCalculation
string | null

The value success tolerance calculation of the test

overallSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ]
overallSuccessTolerance
number (double) | null

The test's overall success tolerance

overallSuccessToleranceCalculation
string | null

The overall success tolerance calculation of the test

Expand All
OneOf
Configuration.Api.Models.v1.StandardTestDetailV1
object (Configuration.Api.Models.v1.StandardTestDetailV1)
testDataSet
object (Configuration.Api.Models.v1.StandardTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ]
dataSourceId
integer (int32) | null

The data set's data source ID

configurationJson
string | null

The data set's configuration, written in JSON

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

controlDataSet
object (Configuration.Api.Models.v1.StandardTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ]
dataSourceId
integer (int32) | null

The data set's data source ID

configurationJson
string | null

The data set's configuration, written in JSON

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

name
string | null

The test name

description
string | null

The test description

folderId
integer (int32)

Folder ID for test

resultsAreOrdered
boolean

Whether dataset records are already ordered

onlyKeepFailures
boolean

Whether to keep all results or just failures

abortAfterFailures
boolean

Whether to abort an execution after a specified number of failures

abortFailureCount
integer (int32)

Number of failures allowed before aborting an execution

abortAfterRows
boolean

Whether to abort an execution after a specified number of records

abortRowCount
integer (int32)

Number of records allowed before aborting an execution

purgeResults
boolean

Whether to purge the results of the execution after a specified number of days

purgeResultsAfterDays
integer (int32)

Number of days to retain execution results before purging

transferLabels
boolean

Whether to transfer labels from the prior version

severityLevel
string | null

The test severity level

qualityDimension
string | null

The test quality dimension

testMissingResultAction
string
Valid values[ "Fail", "Pass", "Override" ]
testMissingResultOverrideValue
string | null

The value to use for records missing from the test dataset

controlMissingResultAction
string
Valid values[ "Fail", "Pass", "Override" ]
controlMissingResultOverrideValue
string | null

The value to use for records missing from the control dataset

valueSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ]
valueSuccessTolerance
number (double) | null

The test's value success tolerance

valueSuccessToleranceCalculation
string | null

The value success tolerance calculation of the test

overallSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ]
overallSuccessTolerance
number (double) | null

The test's overall success tolerance

overallSuccessToleranceCalculation
string | null

The overall success tolerance calculation of the test

Configuration.Api.Models.v1.StandardTestDetailV2
object (Configuration.Api.Models.v1.StandardTestDetailV2)
testDataSet

Defines the test dataset

OneOf
Configuration.Api.Models.v1.StandardTestDataSetV2Script
object (Configuration.Api.Models.v1.StandardTestDataSetV2Script)
dataSetConfigScript
OneOf
Configuration.Api.Models.v1.DataSetConfigScript
object (Configuration.Api.Models.v1.DataSetConfigScript)
dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.DataSetConfigMacro
object (Configuration.Api.Models.v1.DataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardTestDataSetV2ProfileResult
object (Configuration.Api.Models.v1.StandardTestDataSetV2ProfileResult)
dataSetConfigProfileResult
OneOf
Configuration.Api.Models.v1.DataSetConfigProfileResult
object (Configuration.Api.Models.v1.DataSetConfigProfileResult)
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

Configuration.Api.Models.v1.DataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum" ]
windowSize
integer (int32)

The size of the data set window

window
string
Valid values[ "Days", "Weeks", "Runs" ]
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardTestDataSetV2Macro
object (Configuration.Api.Models.v1.StandardTestDataSetV2Macro)
dataSetConfigMacro
object (Configuration.Api.Models.v1.DataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

controlDataSet

Defines the control dataset

OneOf
Configuration.Api.Models.v1.StandardControlDataSetV2Script
object (Configuration.Api.Models.v1.StandardControlDataSetV2Script)
dataSetConfigScript
OneOf
Configuration.Api.Models.v1.DataSetConfigScript
object (Configuration.Api.Models.v1.DataSetConfigScript)
dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.DataSetConfigMacro
object (Configuration.Api.Models.v1.DataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2Macro
object (Configuration.Api.Models.v1.StandardControlDataSetV2Macro)
dataSetConfigMacro
object (Configuration.Api.Models.v1.DataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2ProfileResult
object (Configuration.Api.Models.v1.StandardControlDataSetV2ProfileResult)
dataSetConfigProfileResult
OneOf
Configuration.Api.Models.v1.DataSetConfigProfileResult
object (Configuration.Api.Models.v1.DataSetConfigProfileResult)
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

Configuration.Api.Models.v1.DataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum" ]
windowSize
integer (int32)

The size of the data set window

window
string
Valid values[ "Days", "Weeks", "Runs" ]
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2ProfileAggregate
object (Configuration.Api.Models.v1.StandardControlDataSetV2ProfileAggregate)
dataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum" ]
windowSize
integer (int32)

The size of the data set window

window
string
Valid values[ "Days", "Weeks", "Runs" ]
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeValue
object (Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeValue)
dataSetConfigDateTimeValue
object (Configuration.Api.Models.v1.DataSetConfigDateTimeValue)
valueType
string
Valid values[ "Absolute", "Relative" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set

relativeTargetPeriod
string
Valid values[ "CurrentDate" ]
targetValue
string | null

The target value of the data set

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2StringValue
object (Configuration.Api.Models.v1.StandardControlDataSetV2StringValue)
dataSetConfigStringValue
object (Configuration.Api.Models.v1.DataSetConfigStringValue)
targetValue
string | null

The target value of the data set

ignoreWhitespace
boolean

Whethe the string comparison ignores whitespace characters

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2NumericValue
object (Configuration.Api.Models.v1.StandardControlDataSetV2NumericValue)
dataSetConfigNumericValue
object (Configuration.Api.Models.v1.DataSetConfigNumericValue)
targetValue
number (double)

The target value of the data set

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2NumericRange
object (Configuration.Api.Models.v1.StandardControlDataSetV2NumericRange)
dataSetConfigNumericRange
object (Configuration.Api.Models.v1.DataSetConfigNumericRange)
minValue
number (double) | null

The minimum value of the numeric range

maxValue
number (double) | null

The maximum value of the numeric range

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeRange
object (Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeRange)
dataSetConfigDateTimeRange
object (Configuration.Api.Models.v1.DataSetConfigDateTimeRange)
rangeType
string
Valid values[ "Absolute", "Relative" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set

minRelativePeriod
integer (int32) | null

The minimum relative period of the data set

maxRelativePeriod
integer (int32) | null

The maximum relative period of the data set

minRelativeOffset
integer (int32) | null

The minimum relative offset of the data set

maxRelativeOffset
integer (int32) | null

The maximum relative offset of the data set

minAbsoluteValue
string | null

The minimum absolute value of the data set

maxAbsoluteValue
string | null

The maximum absolute value of the data set

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2TestAggregate
object (Configuration.Api.Models.v1.StandardControlDataSetV2TestAggregate)
dataSetConfigTestAggregate
object (Configuration.Api.Models.v1.DataSetConfigTestAggregate)
includePriorVersions
boolean

Whether the dataset includes prior versions

windowSize
integer (int32)

The window size of the dataset

window
string
Valid values[ "Days", "Weeks", "Runs" ]
aggregate
string
Valid values[ "Average", "Minimum", "Maximum" ]
dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

qualityScoreCalculation
string | null

Custom quality score calculation

qualityScoreMethod
string
Valid values[ "AllOrNothing", "Proportional", "ProportionalWithPassOverride", "CustomCalculation" ]
columnMappingJson
string | null

JSON of custom column mapping between the test and control datasets

testDataSetColumnMappingMethod
string
Valid values[ "Automatic", "Manual" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetColumnSelection
string
Valid values[ "Name", "Position" ]
name
string | null

The test name

description
string | null

The test description

folderId
integer (int32)

Folder ID for test

resultsAreOrdered
boolean

Whether dataset records are already ordered

onlyKeepFailures
boolean

Whether to keep all results or just failures

abortAfterFailures
boolean

Whether to abort an execution after a specified number of failures

abortFailureCount
integer (int32)

Number of failures allowed before aborting an execution

abortAfterRows
boolean

Whether to abort an execution after a specified number of records

abortRowCount
integer (int32)

Number of records allowed before aborting an execution

purgeResults
boolean

Whether to purge the results of the execution after a specified number of days

purgeResultsAfterDays
integer (int32)

Number of days to retain execution results before purging

transferLabels
boolean

Whether to transfer labels from the prior version

severityLevel
string | null

The test severity level

qualityDimension
string | null

The test quality dimension

testMissingResultAction
string
Valid values[ "Fail", "Pass", "Override" ]
testMissingResultOverrideValue
string | null

The value to use for records missing from the test dataset

controlMissingResultAction
string
Valid values[ "Fail", "Pass", "Override" ]
controlMissingResultOverrideValue
string | null

The value to use for records missing from the control dataset

valueSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ]
valueSuccessTolerance
number (double) | null

The test's value success tolerance

valueSuccessToleranceCalculation
string | null

The value success tolerance calculation of the test

overallSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ]
overallSuccessTolerance
number (double) | null

The test's overall success tolerance

overallSuccessToleranceCalculation
string | null

The overall success tolerance calculation of the test

Expand All
OneOf
Configuration.Api.Models.v1.StandardTestDetailV1
object (Configuration.Api.Models.v1.StandardTestDetailV1)
testDataSet
object (Configuration.Api.Models.v1.StandardTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ]
dataSourceId
integer (int32) | null

The data set's data source ID

configurationJson
string | null

The data set's configuration, written in JSON

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

controlDataSet
object (Configuration.Api.Models.v1.StandardTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ]
dataSourceId
integer (int32) | null

The data set's data source ID

configurationJson
string | null

The data set's configuration, written in JSON

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

name
string | null

The test name

description
string | null

The test description

folderId
integer (int32)

Folder ID for test

resultsAreOrdered
boolean

Whether dataset records are already ordered

onlyKeepFailures
boolean

Whether to keep all results or just failures

abortAfterFailures
boolean

Whether to abort an execution after a specified number of failures

abortFailureCount
integer (int32)

Number of failures allowed before aborting an execution

abortAfterRows
boolean

Whether to abort an execution after a specified number of records

abortRowCount
integer (int32)

Number of records allowed before aborting an execution

purgeResults
boolean

Whether to purge the results of the execution after a specified number of days

purgeResultsAfterDays
integer (int32)

Number of days to retain execution results before purging

transferLabels
boolean

Whether to transfer labels from the prior version

severityLevel
string | null

The test severity level

qualityDimension
string | null

The test quality dimension

testMissingResultAction
string
Valid values[ "Fail", "Pass", "Override" ]
testMissingResultOverrideValue
string | null

The value to use for records missing from the test dataset

controlMissingResultAction
string
Valid values[ "Fail", "Pass", "Override" ]
controlMissingResultOverrideValue
string | null

The value to use for records missing from the control dataset

valueSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ]
valueSuccessTolerance
number (double) | null

The test's value success tolerance

valueSuccessToleranceCalculation
string | null

The value success tolerance calculation of the test

overallSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ]
overallSuccessTolerance
number (double) | null

The test's overall success tolerance

overallSuccessToleranceCalculation
string | null

The overall success tolerance calculation of the test

Configuration.Api.Models.v1.StandardTestDetailV2
object (Configuration.Api.Models.v1.StandardTestDetailV2)
testDataSet

Defines the test dataset

OneOf
Configuration.Api.Models.v1.StandardTestDataSetV2Script
object (Configuration.Api.Models.v1.StandardTestDataSetV2Script)
dataSetConfigScript
OneOf
Configuration.Api.Models.v1.DataSetConfigScript
object (Configuration.Api.Models.v1.DataSetConfigScript)
dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.DataSetConfigMacro
object (Configuration.Api.Models.v1.DataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardTestDataSetV2ProfileResult
object (Configuration.Api.Models.v1.StandardTestDataSetV2ProfileResult)
dataSetConfigProfileResult
OneOf
Configuration.Api.Models.v1.DataSetConfigProfileResult
object (Configuration.Api.Models.v1.DataSetConfigProfileResult)
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

Configuration.Api.Models.v1.DataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum" ]
windowSize
integer (int32)

The size of the data set window

window
string
Valid values[ "Days", "Weeks", "Runs" ]
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardTestDataSetV2Macro
object (Configuration.Api.Models.v1.StandardTestDataSetV2Macro)
dataSetConfigMacro
object (Configuration.Api.Models.v1.DataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

controlDataSet

Defines the control dataset

OneOf
Configuration.Api.Models.v1.StandardControlDataSetV2Script
object (Configuration.Api.Models.v1.StandardControlDataSetV2Script)
dataSetConfigScript
OneOf
Configuration.Api.Models.v1.DataSetConfigScript
object (Configuration.Api.Models.v1.DataSetConfigScript)
dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.DataSetConfigMacro
object (Configuration.Api.Models.v1.DataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2Macro
object (Configuration.Api.Models.v1.StandardControlDataSetV2Macro)
dataSetConfigMacro
object (Configuration.Api.Models.v1.DataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsLeftScript
boolean

Whether the control data set is the same as the test data set script

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2ProfileResult
object (Configuration.Api.Models.v1.StandardControlDataSetV2ProfileResult)
dataSetConfigProfileResult
OneOf
Configuration.Api.Models.v1.DataSetConfigProfileResult
object (Configuration.Api.Models.v1.DataSetConfigProfileResult)
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

Configuration.Api.Models.v1.DataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum" ]
windowSize
integer (int32)

The size of the data set window

window
string
Valid values[ "Days", "Weeks", "Runs" ]
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2ProfileAggregate
object (Configuration.Api.Models.v1.StandardControlDataSetV2ProfileAggregate)
dataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum" ]
windowSize
integer (int32)

The size of the data set window

window
string
Valid values[ "Days", "Weeks", "Runs" ]
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

dataSourceId
integer (int32) | null

The data set's data source ID

objectText
string | null

The data set's object text

objectId
integer (int32) | null

The data set's object ID

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

columns
Array of object (Configuration.Api.Models.v1.DataSetColumn) | null

The data set's columns

object
name
string | null

Name of the column within the dataset

sequence
integer (int32)

1-based sequence of the column within the dataset

columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
roleId
string
Valid values[ "Key", "Value", "Ignore" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeValue
object (Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeValue)
dataSetConfigDateTimeValue
object (Configuration.Api.Models.v1.DataSetConfigDateTimeValue)
[...]
